Package javassist.util.proxy

# Class ProxyObjectOutputStream

java.lang.Object
java.io.OutputStream
java.io.ObjectOutputStream
javassist.util.proxy.ProxyObjectOutputStream

All Implemented Interfaces:
  `Closeable`, `DataOutput`, `Flushable`, `ObjectOutput`, `ObjectStreamConstants`, `AutoCloseable`

public class ProxyObjectOutputStream extends ObjectOutputStream
An input stream class which knows how to serialize proxies created via `ProxyFactory`. It must be used when serialising proxies created from a proxy factory configured with `ProxyFactory.useWriteReplace` set to false. Subsequent deserialization of the serialized data must employ a `ProxyObjectInputStream`

Author:
  Andrew Dinn

## Nested Class Summary

## Nested classes/interfaces inherited from class java.io.ObjectOutputStream

`ObjectOutputStream.PutField`

## Field Summary

### Fields inherited from interface java.io.ObjectStreamConstants

`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, SERIAL_FILTER_PERMISSION, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

## Constructor Summary

Constructors
Constructor
Description
`ProxyObjectOutputStream(OutputStream out)`
create an output stream which can be used to serialize an object graph which includes proxies created using class ProxyFactory

## Method Summary

### Methods inherited from class java.io.ObjectOutputStream

`close, defaultWriteObject, flush, putFields, reset, useProtocolVersion, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFields, writeFloat, writeInt, writeLong, writeObject, writeShort, writeUnshared, writeUTF`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyObjectOutputStream

public ProxyObjectOutputStream(OutputStream out) throws IOException
create an output stream which can be used to serialize an object graph which includes proxies created using class ProxyFactory

Parameters:
  `out` -
Throws:
  `IOException` - whenever ObjectOutputStream would also do so
  `SecurityException` - whenever ObjectOutputStream would also do so
  `NullPointerException` - if out is null